<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__cy__tls__enums" kind="group">
    <compoundname>group_cy_tls_enums</compoundname>
    <title>Enumerations</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__cy__tls__enums_1gae33f7537fb953f44173ea3b6a6a1e939" kind="enum" prot="public" static="no">
        <name>cy_tls_endpoint_type_t</name>
        <enumvalue id="group__group__cy__tls__enums_1ggae33f7537fb953f44173ea3b6a6a1e939a11bea9e54eae19551f8b0db24ff0e7fa" prot="public">
          <name>CY_TLS_ENDPOINT_CLIENT</name>
          <initializer>= 0</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__cy__tls__enums_1ggae33f7537fb953f44173ea3b6a6a1e939ad05b298daf3a4d36dfa24d2b14fd5fbf" prot="public">
          <name>CY_TLS_ENDPOINT_SERVER</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>Endpoint is a client. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_tls_endpoint_type_t: </bold><linebreak />Endpoint type for TLS handshake.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="51" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/secure-sockets/include/cy_tls.h" bodystart="47" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/secure-sockets/include/cy_tls.h" line="48" />
      </memberdef>
      <memberdef id="group__group__cy__tls__enums_1gad8adf739bb77cf42fd5e0b468c6677f6" kind="enum" prot="public" static="no">
        <name>cy_tls_md_type_t</name>
        <enumvalue id="group__group__cy__tls__enums_1ggad8adf739bb77cf42fd5e0b468c6677f6af6ba8572b9b01d7ec8bcf7442afecea0" prot="public">
          <name>CY_TLS_MD_SHA1</name>
          <briefdescription>
<para>The SHA-1 message digest. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_tls_md_type_t: </bold><linebreak />Message digest type for configuring TLS certificate profile.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="58" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/secure-sockets/include/cy_tls.h" bodystart="56" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/secure-sockets/include/cy_tls.h" line="56" />
      </memberdef>
      <memberdef id="group__group__cy__tls__enums_1ga050d16fa3dbe50238685202474ddbe71" kind="enum" prot="public" static="no">
        <name>cy_tls_rsa_min_key_len_t</name>
        <enumvalue id="group__group__cy__tls__enums_1gga050d16fa3dbe50238685202474ddbe71a79db50310842f4e02e65ffaa10e3b8ec" prot="public">
          <name>CY_TLS_RSA_MIN_KEY_LEN_1024</name>
          <initializer>= 1024</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__cy__tls__enums_1gga050d16fa3dbe50238685202474ddbe71a8977031649f91e41ed645e0fdd1c4376" prot="public">
          <name>CY_TLS_RSA_MIN_KEY_LEN_2048</name>
          <initializer>= 2048</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__cy__tls__enums_1gga050d16fa3dbe50238685202474ddbe71a8cab9098c83cdadf05b48ebf6982df2c" prot="public">
          <name>CY_TLS_RSA_MIN_KEY_LEN_3072</name>
          <initializer>= 3072</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__cy__tls__enums_1gga050d16fa3dbe50238685202474ddbe71a97b8e9456cee14eadb6c0d574dac2663" prot="public">
          <name>CY_TLS_RSA_MIN_KEY_LEN_4096</name>
          <initializer>= 4096</initializer>
          <briefdescription>
          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_tls_rsa_min_key_len_t: </bold><linebreak />Minimum RSA key length in bits.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="68" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/secure-sockets/include/cy_tls.h" bodystart="63" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/secure-sockets/include/cy_tls.h" line="63" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>